]> ncurses.scripts.mit.edu Git - ncurses.git/blobdiff - configure
ncurses 5.9 - patch 20140524
[ncurses.git] / configure
index d7e18069bb8ded1ebe15dfec30d0767c76b6bde5..bc3c34f86dcf34529976eef5c8f7ce73d6cd7bb9 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.579 .
+# From configure.in Revision: 1.580 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20121002.
 #
@@ -827,7 +827,7 @@ Ada95 Binding Options:
   --with-ada-compiler=CMD specify Ada95 compiler command (default gnatmake)
   --with-ada-include=DIR  Ada includes are in DIR (default: PREFIX/share/ada/adainclude)
   --with-ada-objects=DIR  Ada objects are in DIR (default: PREFIX/lib/ada/adalib)
-  --with-ada-sharedlib=XX build Ada95 shared-library
+  --with-ada-sharedlib=soname build shared-library (requires GNAT projects)
 
 Some influential environment variables:
   CC          C compiler command
@@ -19896,146 +19896,7 @@ else
        USE_GNAT_SIGINT="#"
 fi
 
-echo "$as_me:19899: checking if GNAT pragma Unreferenced works" >&5
-echo $ECHO_N "checking if GNAT pragma Unreferenced works... $ECHO_C" >&6
-if test "${cf_cv_pragma_unreferenced+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-rm -rf conftest* *~conftest*
-cat >>conftest.ads <<CF_EOF
-procedure conftest;
-CF_EOF
-cat >>conftest.adb <<CF_EOF
-with Text_IO;
-with GNAT.OS_Lib;
-procedure conftest is
-   test : Integer;
-   pragma Unreferenced (test);
-begin
-   test := 1;
-   Text_IO.Put ("Hello World");
-   Text_IO.New_Line;
-   GNAT.OS_Lib.OS_Exit (0);
-end conftest;
-CF_EOF
-if ( $cf_ada_make $ADAFLAGS conftest 1>&5 2>&1 ) ; then
-      cf_cv_pragma_unreferenced=yes
-else
-   cf_cv_pragma_unreferenced=no
-fi
-rm -rf conftest* *~conftest*
-
-fi
-echo "$as_me:19930: result: $cf_cv_pragma_unreferenced" >&5
-echo "${ECHO_T}$cf_cv_pragma_unreferenced" >&6
-
-# if the pragma is supported, use it (needed in the Trace code).
-if test $cf_cv_pragma_unreferenced = yes ; then
-       PRAGMA_UNREF=TRUE
-else
-       PRAGMA_UNREF=FALSE
-fi
-
-cf_gnat_libraries=no
-cf_gnat_projects=no
-
-echo "$as_me:19943: checking if GNAT supports project files" >&5
-echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
-case $cf_gnat_version in #(vi
-3.[0-9]*) #(vi
-       ;;
-*)
-       case $cf_cv_system_name in #(vi
-       cygwin*|msys*) #(vi
-               ;;
-       *)
-               mkdir conftest.src conftest.bin conftest.lib
-               cd conftest.src
-               rm -rf conftest* *~conftest*
-               cat >>library.gpr <<CF_EOF
-project Library is
-  Kind := External ("LIB_KIND");
-  for Library_Name use "ConfTest";
-  for Object_Dir use ".";
-  for Library_ALI_Dir use External("LIBRARY_DIR");
-  for Library_Version use External ("SONAME");
-  for Library_Kind use Kind;
-  for Library_Dir use External("BUILD_DIR");
-  Source_Dir := External ("SOURCE_DIR");
-  for Source_Dirs use (Source_Dir);
-  package Compiler is
-     for Default_Switches ("Ada") use
-       ("-g",
-        "-O2",
-        "-gnatafno",
-        "-gnatVa",   -- All validity checks
-        "-gnatwa");  -- Activate all optional errors
-  end Compiler;
-end Library;
-CF_EOF
-               cat >>confpackage.ads <<CF_EOF
-package ConfPackage is
-   procedure conftest;
-end ConfPackage;
-CF_EOF
-               cat >>confpackage.adb <<CF_EOF
-with Text_IO;
-package body ConfPackage is
-   procedure conftest is
-   begin
-      Text_IO.Put ("Hello World");
-      Text_IO.New_Line;
-   end conftest;
-end ConfPackage;
-CF_EOF
-               if ( $cf_ada_make $ADAFLAGS \
-                               -Plibrary.gpr \
-                               -XBUILD_DIR=`cd ../conftest.bin;pwd` \
-                               -XLIBRARY_DIR=`cd ../conftest.lib;pwd` \
-                               -XSOURCE_DIR=`pwd` \
-                               -XSONAME=libConfTest.so.1 \
-                               -XLIB_KIND=static 1>&5 2>&1 ) ; then
-                       cf_gnat_projects=yes
-               fi
-               cd ..
-               if test -f conftest.lib/confpackage.ali
-               then
-                       cf_gnat_libraries=yes
-               fi
-               rm -rf conftest* *~conftest*
-               ;;
-       esac
-       ;;
-esac
-echo "$as_me:20011: result: $cf_gnat_projects" >&5
-echo "${ECHO_T}$cf_gnat_projects" >&6
-
-if test $cf_gnat_projects = yes
-then
-       echo "$as_me:20016: checking if GNAT supports libraries" >&5
-echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-       echo "$as_me:20018: result: $cf_gnat_libraries" >&5
-echo "${ECHO_T}$cf_gnat_libraries" >&6
-fi
-
-if test "$cf_gnat_projects" = yes
-then
-       USE_OLD_MAKERULES="#"
-       USE_GNAT_PROJECTS=""
-else
-       USE_OLD_MAKERULES=""
-       USE_GNAT_PROJECTS="#"
-fi
-
-if test "$cf_gnat_libraries" = yes
-then
-       USE_GNAT_LIBRARIES=""
-else
-       USE_GNAT_LIBRARIES="#"
-fi
-
-echo "$as_me:20038: checking for ada-compiler" >&5
+echo "$as_me:19899: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -20046,12 +19907,12 @@ else
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:20049: result: $cf_ada_compiler" >&5
+echo "$as_me:19910: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
                        cf_ada_package=terminal_interface
 
-echo "$as_me:20054: checking for ada-include" >&5
+echo "$as_me:19915: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -20087,7 +19948,7 @@ case ".$withval" in #(vi
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:20090: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:19951: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -20096,10 +19957,10 @@ esac
 fi
 eval ADA_INCLUDE="$withval"
 
-echo "$as_me:20099: result: $ADA_INCLUDE" >&5
+echo "$as_me:19960: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:20102: checking for ada-objects" >&5
+echo "$as_me:19963: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -20135,7 +19996,7 @@ case ".$withval" in #(vi
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:20138: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:19999: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -20144,10 +20005,62 @@ esac
 fi
 eval ADA_OBJECTS="$withval"
 
-echo "$as_me:20147: result: $ADA_OBJECTS" >&5
+echo "$as_me:20008: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:20150: checking if an Ada95 shared-library should be built" >&5
+cf_gnat_projects=no
+
+echo "$as_me:20013: checking if GNAT supports project files" >&5
+echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
+case $cf_gnat_version in #(vi
+3.[0-9]*) #(vi
+       ;;
+*)
+       case $cf_cv_system_name in #(vi
+       cygwin*|msys*) #(vi
+               ;;
+       *)
+               mkdir conftest
+               cd conftest
+               mkdir lib obj
+               cat >>library.gpr <<CF_EOF
+project Library is
+  for Library_Name use "ConfTest";
+  for Object_Dir use "obj";
+  for Library_Version use "libConfTest.so.1";
+  for Library_Kind use "dynamic";
+  for Library_Dir use "lib";
+  for Source_Dirs use (".");
+end Library;
+CF_EOF
+               cat >>confpackage.ads <<CF_EOF
+package ConfPackage is
+   procedure conftest;
+end ConfPackage;
+CF_EOF
+               cat >>confpackage.adb <<CF_EOF
+with Text_IO;
+package body ConfPackage is
+   procedure conftest is
+   begin
+      Text_IO.Put ("Hello World");
+      Text_IO.New_Line;
+   end conftest;
+end ConfPackage;
+CF_EOF
+               if ( $cf_ada_make -Plibrary.gpr 1>&5 2>&1 ); then
+                       cf_gnat_projects=yes
+               fi
+               cd ..
+               rm -rf conftest
+               ;;
+       esac
+       ;;
+esac
+echo "$as_me:20060: result: $cf_gnat_projects" >&5
+echo "${ECHO_T}$cf_gnat_projects" >&6
+
+echo "$as_me:20063: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -20157,7 +20070,7 @@ if test "${with_ada_sharedlib+set}" = set; then
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:20160: result: $with_ada_sharedlib" >&5
+echo "$as_me:20073: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
@@ -20165,6 +20078,12 @@ MAKE_ADA_SHAREDLIB="#"
 
 if test "x$with_ada_sharedlib" != xno
 then
+       if test "$cf_gnat_projects" != yes
+       then
+               { { echo "$as_me:20083: error: ada-sharedlib requires GNAT support for shared library projects" >&5
+echo "$as_me: error: ada-sharedlib requires GNAT support for shared library projects" >&2;}
+   { (exit 1); exit 1; }; }
+       fi
        MAKE_ADA_SHAREDLIB=
        if test "x$with_ada_sharedlib" != xyes
        then
 
 # do this "late" to avoid conflict with header-checks
 if test "x$with_widec" = xyes ; then
-       echo "$as_me:20183: checking for wchar_t" >&5
+       echo "$as_me:20102: checking for wchar_t" >&5
 echo $ECHO_N "checking for wchar_t... $ECHO_C" >&6
 if test "${ac_cv_type_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20189 "configure"
+#line 20108 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20201,16 +20120,16 @@ if (sizeof (wchar_t))
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20204: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20123: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20207: \$? = $ac_status" >&5
+  echo "$as_me:20126: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20210: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20129: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20213: \$? = $ac_status" >&5
+  echo "$as_me:20132: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_wchar_t=yes
 else
@@ -20220,10 +20139,10 @@ ac_cv_type_wchar_t=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:20223: result: $ac_cv_type_wchar_t" >&5
+echo "$as_me:20142: result: $ac_cv_type_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_type_wchar_t" >&6
 
-echo "$as_me:20226: checking size of wchar_t" >&5
+echo "$as_me:20145: checking size of wchar_t" >&5
 echo $ECHO_N "checking size of wchar_t... $ECHO_C" >&6
 if test "${ac_cv_sizeof_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20232,7 +20151,7 @@ else
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >conftest.$ac_ext <<_ACEOF
-#line 20235 "configure"
+#line 20154 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20244,21 +20163,21 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) >= 0)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20247: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20166: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20250: \$? = $ac_status" >&5
+  echo "$as_me:20169: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20253: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20172: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20256: \$? = $ac_status" >&5
+  echo "$as_me:20175: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 20261 "configure"
+#line 20180 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20270,16 +20189,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) <= $ac_mid)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20273: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20192: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20276: \$? = $ac_status" >&5
+  echo "$as_me:20195: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20279: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20198: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20282: \$? = $ac_status" >&5
+  echo "$as_me:20201: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -20295,7 +20214,7 @@ cat conftest.$ac_ext >&5
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 20298 "configure"
+#line 20217 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20307,16 +20226,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) >= $ac_mid)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20310: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20229: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20313: \$? = $ac_status" >&5
+  echo "$as_me:20232: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20316: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20235: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20319: \$? = $ac_status" >&5
+  echo "$as_me:20238: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -20332,7 +20251,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   cat >conftest.$ac_ext <<_ACEOF
-#line 20335 "configure"
+#line 20254 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20344,16 +20263,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) <= $ac_mid)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20347: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20266: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20350: \$? = $ac_status" >&5
+  echo "$as_me:20269: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20353: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20272: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20356: \$? = $ac_status" >&5
+  echo "$as_me:20275: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid
 else
@@ -20366,12 +20285,12 @@ done
 ac_cv_sizeof_wchar_t=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:20369: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:20288: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20374 "configure"
+#line 20293 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20387,15 +20306,15 @@ fclose (f);
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:20390: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20309: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20393: \$? = $ac_status" >&5
+  echo "$as_me:20312: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:20395: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20314: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20398: \$? = $ac_status" >&5
+  echo "$as_me:20317: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_wchar_t=`cat conftest.val`
 else
@@ -20411,7 +20330,7 @@ else
   ac_cv_sizeof_wchar_t=0
 fi
 fi
-echo "$as_me:20414: result: $ac_cv_sizeof_wchar_t" >&5
+echo "$as_me:20333: result: $ac_cv_sizeof_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_sizeof_wchar_t" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_WCHAR_T $ac_cv_sizeof_wchar_t
@@ -20429,7 +20348,7 @@ fi
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:20432: checking for library subsets" >&5
+echo "$as_me:20351: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -20470,7 +20389,7 @@ fi
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:20473: result: $LIB_SUBSETS" >&5
+echo "$as_me:20392: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -20508,7 +20427,7 @@ elif test "$includedir" != "/usr/include"; then
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:20511: checking default library suffix" >&5
+echo "$as_me:20430: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in
@@ -20519,10 +20438,10 @@ echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
        shared)  DFT_ARG_SUFFIX=''   ;;
        esac
        test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:20522: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:20441: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:20525: checking default library-dependency suffix" >&5
+echo "$as_me:20444: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
        case X$DFT_LWR_MODEL in #(vi
@@ -20577,10 +20496,10 @@ echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
        esac
        test -n "$LIB_SUFFIX" && DFT_LIB_SUFFIX="${LIB_SUFFIX}${DFT_LIB_SUFFIX}"
        test -n "$LIB_SUFFIX" && DFT_DEP_SUFFIX="${LIB_SUFFIX}${DFT_DEP_SUFFIX}"
-echo "$as_me:20580: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:20499: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:20583: checking default object directory" >&5
+echo "$as_me:20502: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in
@@ -20596,11 +20515,11 @@ echo $ECHO_N "checking default object directory... $ECHO_C" >&6
                        DFT_OBJ_SUBDIR='obj_s' ;;
                esac
        esac
-echo "$as_me:20599: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:20518: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:20603: checking c++ library-dependency suffix" >&5
+echo "$as_me:20522: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
        # libtool thinks it can make c++ shared libraries (perhaps only g++)
@@ -20665,7 +20584,7 @@ else
        test -n "$LIB_SUFFIX" && CXX_DEP_SUFFIX="${LIB_SUFFIX}${CXX_DEP_SUFFIX}"
 
 fi
-echo "$as_me:20668: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:20587: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-       echo "$as_me:20833: checking if linker supports switching between static/dynamic" >&5
+       echo "$as_me:20752: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
        rm -f libconftest.a
        cat >conftest.$ac_ext <<EOF
-#line 20838 "configure"
+#line 20757 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-       if { (eval echo "$as_me:20842: \"$ac_compile\"") >&5
+       if { (eval echo "$as_me:20761: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20845: \$? = $ac_status" >&5
+  echo "$as_me:20764: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
                ( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
                ( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -20853,10 +20772,10 @@ EOF
 
        LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
        cat >conftest.$ac_ext <<_ACEOF
-#line 20856 "configure"
+#line 20775 "configure"
 #include "confdefs.h"
 
-#line 20859 "configure"
+#line 20778 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -20871,16 +20790,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20874: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20793: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20877: \$? = $ac_status" >&5
+  echo "$as_me:20796: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20880: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20799: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20883: \$? = $ac_status" >&5
+  echo "$as_me:20802: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        # some linkers simply ignore the -dynamic
@@ -20903,7 +20822,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
        rm -f libconftest.*
        LIBS="$cf_save_LIBS"
 
-       echo "$as_me:20906: result: $cf_ldflags_static" >&5
+       echo "$as_me:20825: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
        if test $cf_ldflags_static != yes
@@ -20919,7 +20838,7 @@ fi
        ;;
 esac
 
-echo "$as_me:20922: checking where we will install curses.h" >&5
+echo "$as_me:20841: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 
 includesubdir=
@@ -20929,7 +20848,7 @@ if test "$with_overwrite" = no && \
 then
        includesubdir="/ncurses${LIB_SUFFIX}"
 fi
-echo "$as_me:20932: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:20851: result: ${includedir}${includesubdir}" >&5
 echo "${ECHO_T}${includedir}${includesubdir}" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -20937,7 +20856,7 @@ echo "${ECHO_T}${includedir}${includesubdir}" >&6
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
        NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-       { echo "$as_me:20940: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+       { echo "$as_me:20859: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -20955,7 +20874,7 @@ EOF
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:20958: checking for src modules" >&5
+echo "$as_me:20877: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -21020,7 +20939,7 @@ EOF
                fi
        fi
 done
-echo "$as_me:21023: result: $cf_cv_src_modules" >&5
+echo "$as_me:20942: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -21241,7 +21160,7 @@ fi
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:21244: checking for $ac_word" >&5
+echo "$as_me:21163: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21258,7 +21177,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:21261: found $ac_dir/$ac_word" >&5
+   echo "$as_me:21180: found $ac_dir/$ac_word" >&5
    break
 fi
 done
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:21273: result: $TIC_PATH" >&5
+  echo "$as_me:21192: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:21276: result: no" >&5
+  echo "$as_me:21195: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -21281,7 +21200,7 @@ if test -n "$FALLBACK_LIST"
 then
        if test "$TIC_PATH" = unknown
        then
-               { echo "$as_me:21284: WARNING: no tic program found for fallbacks" >&5
+               { echo "$as_me:21203: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
        fi
 fi
@@ -21307,7 +21226,7 @@ solaris2*) #(vi
        *-D_XOPEN_SOURCE_EXTENDED*)
                test -n "$verbose" && echo "    moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:21310: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:21229: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
                CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
                CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -21425,7 +21344,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:21428: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:21347: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -21601,7 +21520,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:21604: error: ambiguous option: $1
+    { { echo "$as_me:21523: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -21620,7 +21539,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:21623: error: unrecognized option: $1
+  -*) { { echo "$as_me:21542: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -21685,7 +21604,6 @@ TINFO_ARG_SUFFIX="$TINFO_ARG_SUFFIX"
 TINFO_LIB_SUFFIX="$TINFO_LIB_SUFFIX"
 TINFO_NAME="$TINFO_NAME"
 TINFO_SUFFIX="$TINFO_SUFFIX"
-USE_OLD_MAKERULES="$USE_OLD_MAKERULES"
 WITH_CURSES_H="$with_curses_h"
 WITH_ECHO="${enable_echo:=yes}"
 WITH_OVERWRITE="$with_overwrite"
@@ -21731,7 +21649,7 @@ do
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:21734: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:21652: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -21997,10 +21915,6 @@ s,@cf_ada_make@,$cf_ada_make,;t t
 s,@cf_compile_generics@,$cf_compile_generics,;t t
 s,@cf_generic_objects@,$cf_generic_objects,;t t
 s,@USE_GNAT_SIGINT@,$USE_GNAT_SIGINT,;t t
-s,@PRAGMA_UNREF@,$PRAGMA_UNREF,;t t
-s,@USE_OLD_MAKERULES@,$USE_OLD_MAKERULES,;t t
-s,@USE_GNAT_PROJECTS@,$USE_GNAT_PROJECTS,;t t
-s,@USE_GNAT_LIBRARIES@,$USE_GNAT_LIBRARIES,;t t
 s,@cf_ada_compiler@,$cf_ada_compiler,;t t
 s,@cf_ada_package@,$cf_ada_package,;t t
 s,@ADA_INCLUDE@,$ADA_INCLUDE,;t t
@@ -22166,7 +22080,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:22169: creating $ac_file" >&5
+    { echo "$as_me:22083: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -22184,7 +22098,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:22187: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:22101: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -22197,7 +22111,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:22200: error: cannot find input file: $f" >&5
+           { { echo "$as_me:22114: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -22213,7 +22127,7 @@ cat >>$CONFIG_STATUS <<\EOF
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:22216: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:22130: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -22222,7 +22136,7 @@ $ac_seen" >&2;}
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:22225: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:22139: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -22259,7 +22173,7 @@ s,@INSTALL@,$ac_INSTALL,;t t
             ac_init=`egrep '[  ]*'$ac_name'[   ]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:22262: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:22176: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -22270,7 +22184,7 @@ $ac_seen" >&2;}
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:22273: WARNING: Some variables may not be substituted:
+      { echo "$as_me:22187: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -22319,7 +22233,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:22322: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:22236: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -22330,7 +22244,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:22333: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:22247: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -22343,7 +22257,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:22346: error: cannot find input file: $f" >&5
+           { { echo "$as_me:22260: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -22401,7 +22315,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:22404: $ac_file is unchanged" >&5
+      { echo "$as_me:22318: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -22704,7 +22618,7 @@ cf_ITEM=`echo "$cf_item" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQ
                                cygdll|msysdll|mingw) #(vi
                                        test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "  overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:22707: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:22621: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
                                        with_shared_cxx=yes
                                        ;;
@@ -23093,9 +23007,7 @@ CF_EOF
 done
 
 if test "x$cf_with_ada" = "xyes" && test "x$cf_cv_prog_gnat_correct" = "xyes"; then
-if test -z "$USE_OLD_MAKERULES" ; then
        $AWK -f $srcdir/Ada95/mk-1st.awk <$srcdir/Ada95/src/modules >>Ada95/src/Makefile
-fi
 fi
  ;;
   esac